package dev.banking.model;

public abstract class Transaction {
    private final long amount;

    protected Transaction(long amount) {
        if (amount <= 0) throw new IllegalArgumentException("Transaction amount must be positive.");
        this.amount = amount;
    }
    public long getAmount() { return amount; }
}